#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import sys

from PyQt5.QtWidgets import QApplication

from config import Config
from view.MainWindow import ApplicationWindow
from model.Study import Study

def main():
    conf = Config.load()
    app = QApplication(sys.argv)
    application = ApplicationWindow(conf=conf)
    application.show()
    sys.exit(app.exec_())

if __name__ == "__main__":
    main()
